package nl.bartpelle.veteres.content.skills.construction

enum class RoomType(val level: Int, val cost: Int) {

    GARDEN(1, 1000),
    PARLOUR(1, 1000),
    KITCHEN(5, 5000),
    DINING_ROOM(10, 5000),
    WORKSHOP(15, 10000),
    BEDROOM(20, 10000),
    SKILL_HALL(25, 15000),
    GAMES_ROOM(30, 25000),
    COMBAT_ROOM(32, 25000),
    QUEST_HALL(35, 25000),
    MENAGERIE(37, 30000),
    STUDY(40, 50000),
    COSTUME_ROOM(42, 50000),
    CHAPEL(45, 50000),
    PORTAL_CHAMBER(50, 100000),
    FORMAL_GARDEN(55, 75000),
    THRONE_ROOM(60, 150000),
    OUBLIETTE(65, 150000),
    SUPERIOR_GARDEN(65, 75000),
    DUNGEON_CORRIDOR(70, 7500),
    DUNGEON_JUNCTION(70, 7500),
    DUNGEON_STAIRS(70, 7500),
    TREASURE_ROOM(75, 250000),
    ACHIEVEMENTS(80, 200000),

}